Bug 1734521 - Consumer returning duplicate guests
Summary: Consumer returning duplicate guests
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 2.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Abhishek Kumar
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-30 18:42 UTC by Richard Bernleithner
Modified: 2019-08-27 20:34 UTC (History)
6 users (show)

Fixed In Version: candlepin-2.8.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-27 20:34:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github candlepin candlepin pull 2407 None None None 2019-08-20 17:08:43 UTC

Description Richard Bernleithner 2019-07-30 18:42:17 UTC
Description of problem: Hypervisor is returning duplicate guests 


Version-Release number of selected component (if applicable):


How reproducible:


+ curl -v https://candlepin.corp.redhat.com/candlepin/consumers/cc7abe62-85aa-456c-a734-412776919f4d/guests
> GET /candlepin/consumers/cc7abe62-85aa-456c-a734-412776919f4d/guests HTTP/1.1
> Host: candlepin.corp.redhat.com
> User-Agent: curl/7.61.1
> Accept: */*
> CP-USER:candlepin_admin
> 
< HTTP/1.1 200 OK
< Server: Apache-Coyote/1.1
< x-candlepin-request-uuid: 17f48647-419a-4e73-a400-fb7cf28ad4ef
< X-Version: 2.7.3-1
< Content-Type: application/json
< Transfer-Encoding: chunked
< Date: Tue, 30 Jul 2019 18:15:15 GMT
< 
[
  {
    "id": "8a85f9926ae5e02e016b0343ae006155",
    "uuid": "887adf21-f995-4434-8434-82b3a4044ff7",
    "name": "xinfcint23v.ibge.gov.br"
  },
  {
    "id": "8a85f9926ae5e02e016b0343ae006155",
    "uuid": "887adf21-f995-4434-8434-82b3a4044ff7",
    "name": "xinfcint23v.ibge.gov.br"
  },
  {
    "id": "8a85f9926ae5e02e016b0343ae006155",
    "uuid": "887adf21-f995-4434-8434-82b3a4044ff7",
    "name": "xinfcint23v.ibge.gov.br"
  },
  {
    "id": "8a85f9926ae5e02e016b0343ae006155",
    "uuid": "887adf21-f995-4434-8434-82b3a4044ff7",
    "name": "xinfcint23v.ibge.gov.br"
  },
  {
    "id": "8a85f9926ae5e02e016b0343ae006155",
    "uuid": "887adf21-f995-4434-8434-82b3a4044ff7",
    "name": "xinfcint23v.ibge.gov.br"
  }
]


This manifests itself in RHSM when displaying the hypervisor

https://access.redhat.com/management/systems/cc7abe62-85aa-456c-a734-412776919f4d


When selecting a system that is different from the ones on guest list and then returning to hypervisor, the guests list changes


Note You need to log in before you can comment on or make changes to this bug.